From: Ladislav Michl <ladis@linux-mips.org>
To: ptxdist@pengutronix.de
Subject: [ptxdist] [PATCH] scripts/ipkg-push: return nonzero on error
Date: Thu, 15 Mar 2012 00:21:31 +0100 [thread overview]
Message-ID: <20120314232131.GA14338@localhost.localdomain> (raw)
ipkg-push returns zero when ipkg repository path does not exist causing make
continues ignoring error.
Signed-off-by: Ladislav Michl <ladis@linux-mips.org>
---
ipkg-push | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/scripts/ipkg-push b/scripts/ipkg-push
index 3f8c823..b8d5228 100755
--- a/scripts/ipkg-push
+++ b/scripts/ipkg-push
@@ -33,7 +33,7 @@ usage() {
echo " --dist <distname> use this to make a dist release (optional)"
echo " --type <package type> specify package type (default: ipkg)"
echo
- exit 0
+ exit 1
}
IPKGDIR=
--
ptxdist mailing list
ptxdist@pengutronix.de
next reply other threads:[~2012-03-14 23:21 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-03-14 23:21 Ladislav Michl [this message]
2012-03-15 10:01 ` Michael Olbrich
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20120314232131.GA14338@localhost.localdomain \
--to=ladis@linux-mips.org \
--cc=ptxdist@pengutronix.de \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox